Open Lighting Architecture: ola::rdm::BasicSetting Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::rdm::BasicSetting Class Reference

## Detailed Description

A Setting which has a description and no other properties.

Inheritance diagram for ola::rdm::BasicSetting:

## Public Types
typedef const char * | ArgType

## Public Member Functions
| BasicSetting (const ArgType description)
| Construct a new BasicSetting.
std::string | Description () const
| The text description of this setting.
unsigned int | DescriptionResponseSize () const
| Return the size of the _DESCRIPTION parameter data.
unsigned int | GenerateDescriptionResponse (uint8_t index, uint8_t *data) const
| Populate the _DESCRIPTION parameter data.

## Constructor & Destructor Documentation

## ◆ BasicSetting()

ola::rdm::BasicSetting::BasicSetting | ( | const ArgType | description | ) |
| explicit

Construct a new BasicSetting.

Parameters

  description | the description for this setting.

## Member Function Documentation

## ◆ Description()

std::string ola::rdm::BasicSetting::Description | ( |  | ) | const
| inlinevirtual

The text description of this setting.

Returns
  the string description of the setting.

Implements ola::rdm::SettingInterface.

## ◆ DescriptionResponseSize()

unsigned int ola::rdm::BasicSetting::DescriptionResponseSize | ( |  | ) | const
| inlinevirtual

Return the size of the _DESCRIPTION parameter data.

Implements ola::rdm::SettingInterface.

## ◆ GenerateDescriptionResponse()

unsigned int ola::rdm::BasicSetting::GenerateDescriptionResponse | ( | uint8_t | index,
|  | uint8_t * | data ) const
| virtual

Populate the _DESCRIPTION parameter data.

Parameters

  index | the index for this setting
  data | the RDM parameter data to write to.

Implements ola::rdm::SettingInterface.

The documentation for this class was generated from the following files:

- include/ola/rdm/ResponderSettings.h
- common/rdm/ResponderSettings.cpp